# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'corvette/version'

Gem::Specification.new do |spec|
	spec.name = 'corvette'
	spec.version = Corvette::VERSION
	spec.authors = ['BroderickBrockman']
	spec.email = ['broderickbrockman@gmail.com']
	spec.summary = %q{Kind of new rails architecture solution}
	spec.description = %q{Some kind of new rails architecture solution}
	spec.homepage = 'http://corvette-gem.com'
	spec.license = 'MIT'

	# spec.files = `git ls-files -z`.split("\x0")
	spec.files = `git ls-files`.split($/)
	spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
	spec.test_files = spec.files.grep(%r{^(test|spec|features)/})
	spec.require_paths = ['lib']

	spec.add_dependency 'reform', '1.1.1'
	spec.add_dependency 'hashie', '3.3.1'
	spec.add_dependency 'activesupport', '4.1.5'
	spec.add_dependency 'virtus', '1.0.3'

	spec.add_development_dependency 'bundler', '~> 1.6'
	spec.add_development_dependency 'rake', '10.3.2'

	spec.required_ruby_version = '>= 2.1.0'
end
